//  The word struct contains a kanji string, kana string, and a english definition
//  string.  
//
//  Chris Dahlberg
//  2/17/04

#ifndef __OH_PLUG_WORD__
#define __OH_PLUG_WORD__

#include "windows.h"
#include <string>

using namespace std;

struct word
{
	wstring engDef_;
	wstring kana_;
	wstring kanji_;

	word(wstring kanji = L"", wstring kana = L"", wstring engDef = L"")
		:	engDef_(engDef),
			kana_(kana),
			kanji_(kanji)
	{
		// Nothing to do
	}

	
	inline bool exists() const
	{
		 return (kanji_.size() != 0);
	}

	bool operator==(const word& rhs)
	{
		return (kanji_ == rhs.kanji_ && kana_ == rhs.kanji_ && engDef_ == rhs.engDef_);
	}
	bool operator!=(const word& rhs)
	{
		return !(*this == rhs);
	}
};	

#endif